﻿#language: ru

Функционал: Передача материалов на склад цеха

Сценарий: Поступление с центрального склада материалов от 01.06.18
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И в поле 'от' я ввожу текст '01.06.2018  9:20:08'
	И в поле 'Фактическая дата перемещения' я ввожу текст '01.06.2018  9:20:08'
	И я нажимаю кнопку выбора у поля "Склад отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Центральный склад' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И я нажимаю кнопку выбора у поля "Склад получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '546565р'
	И в поле 'Дата выпуска' я ввожу текст '01.05.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '25,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Ароматизатор 13456' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '345енппа3'
	И в поле 'Дата выпуска' я ввожу текст '01.06.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '30,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '5н4екрвнр45'
	И в поле 'Дата выпуска' я ввожу текст '03.08.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '26,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '3н5ы4урквне'
	И в поле 'Дата выпуска' я ввожу текст '01.08.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '55,000'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Краситель Бета-каротин FS 30%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Помощник регистрации новой серии'
	И в поле 'Номер' я ввожу текст '345урнеу6оу'
	И в поле 'Дата выпуска' я ввожу текст '09.01.2018'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Серии номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжение на перемещение (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '41,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'